Bug 160944 - Anaconda crashes (reboots) during installation with 128M RAM (again)
Anaconda crashes (reboots) during installation with 128M RAM (again)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-18 21:49 EDT by Kevin Kofler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 15:27:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2005-06-18 21:49:37 EDT
Description of problem:
It looks like the problem described in #109389 and #119699, which plagued FC1 
and FC2, but wasn't there in FC3, is back, albeit in a milder fashion: Anaconda 
spontaneously reboots during the installation on a machine with 128 MB of RAM 
(after working around #160660, that is).

Unlike my experiences with FC2, it didn't happen after just 3 or 4 packages, 
though, but only after something like 200-500 packages, allowing me to complete 
the upgrade (FC3->FC4) installation with 2 restarts. (If this is of any help, 
the first crash was after about 200 packages during an apmd upgrade, and the 
second one after about 500 packages (NOT counting the 200 ones from before) 
during a kdeadmin upgrade.)

Unfortunately, I couldn't see the error messages because it had already 
rebooted when I checked. I doubt they would be of any help anyway, the ones in 
#109389 and #119699 weren't really.

Version-Release number of selected component (if applicable):
Anaconda as shipped on FC4-i386-disc1.iso.

How reproducible:
No idea. Maybe easily, maybe there's some randomness involved.

Steps to Reproduce:
1. Take a machine with only 128 MB of RAM.
2. Install FC3. This should work fine, at least it did for me.
3. Fetch the 4 FC4 CD ISOs.
4. Enter the FC4 installer into GRUB.
5. Use this for a HD install, using my workaround for #160660.
6. Wait for Anaconda to install a few hundred packages and watch it crash.
  
Actual results:
Anaconda spontaneously reboots.

Expected results:
Installation completes.
Comment 1 Chris Lumens 2005-06-20 11:55:49 EDT
re you doing a text or graphical upgrade?
Comment 2 Kevin Kofler 2005-06-20 14:12:32 EDT
Text. With 128 MB, "Graphical installation is not available." according to 
Anaconda.
Comment 3 Eric Wood 2005-08-19 03:11:37 EDT
I have had this problem with Anaconda in Yellow Dog Linux on an iMac with 96 MB of RAM. YDL 3 installed 
fine, but YDL 4 has this same bug. Now Fedora Core's Anaconda has given me the message that it "Cannot 
allocate memory" before the installation had really begun.
Comment 4 Christian Iseli 2007-01-22 05:49:12 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Kevin Kofler 2007-01-22 06:46:51 EST
FC5 Anaconda still locked up (but didn't reboot by itself) when upgrading my 
laptop, which has 160 MB RAM. It did that when reading in the metadata for a 
new ISO (from the HD), however, not during a transaction, so at least there was 
no duplicate package pollution. Interestingly, it displayed a graphical 
updater, even though the minimum for graphical installs is supposedly 192 MB. 
That might have been part of the problem.

I didn't test the FC6 Anaconda with that laptop due to my bad experiences with 
previous versions, so I honestly don't know how that behaves. My desktop 
computer now has 1 GB of RAM.

Now if nobody is even trying to use Anaconda with so few RAM these days, then 
I'd suggest just bumping the requirements in the release notes so no false 
expectations are being set.
Comment 6 Kevin Kofler 2007-01-22 06:48:12 EST
Trying again to clear needinfo...
Comment 7 Matthew Miller 2007-01-24 15:27:29 EST
I'm going to go ahead and mark this as "cantfix" for FC4 at least. For specific
issues with the latest anaconda I think it'll be most helpful to file a new bug.

Note You need to log in before you can comment on or make changes to this bug.